*,
*::after,
*::before {
  box-sizing: border-box;
}

/* :root {
  font-size: 12px;
  --color-text: #fff;
  --color-bg: #000;
  --color-link: #fff;
  --color-link-hover: #c471e1;
  --page-padding: 1.5rem;
  --color-card-1: #d09df2;
  --color-card-2: #9df2eb;
  --color-card-3: #f5e2a4;
  --color-card-4: #d09df2;
  --color-card-5: #9dcaf2;
  --color-card-6: #f29dcc;
  --color-bg-card: rgba(255, 255, 255, 0.2);
  --color-bg-card-inner: rgb(41 27 41);
} */

:root {
  font-size: 12px;
  --color-text: #fff;
  --color-bg: #000;
  --color-link: #fff;
  --color-link-hover: #c471e1;
  --page-padding: 1.5rem;
  --color-card-1: #878787;
  --color-card-2: #6faaa5;
  --color-card-3: #9f5c06;
  --color-card-4: #f29db5;
  --color-card-5: #9df2bc;
  --color-card-6: #d6b581;
  --color-bg-card: rgba(98, 91, 106, 0.5);
  /* --color-bg-card: rgba(255, 255, 255, 0.2); */
  /* --color-bg-card-inner: rgb(41 27 41); */
}


#mask {
  /* border: 20px solid rgb(15, 15, 15); */
  border: 20px solid rgb(0, 0, 0);
  height: 100vh;
  width: 100vw;
  z-index: 100;
  position: fixed;
  overflow: hidden;
  overflow-x: hidden;
  margin: 0;
  padding: 0;
  pointer-events: none;
}

#mask-2 {
  border: 20px solid rgb(0, 0, 0);
  -webkit-border-radius: 40px;
  -moz-border-radius: 40px;
  border-radius: 40px;
  height: 100vh;
  width: 100vw;
  z-index: 100;
  position: fixed;
  overflow: hidden;
  overflow-x: hidden;
  margin: 0;
  padding: 0;
  pointer-events: none;
}

#bg-mask {
  border: 1px solid #333333;
  -webkit-border-radius: 20px;
  border-radius: 20px;
  height: calc(100vh - 40px);
  width: calc(100vw - 40px);
  position: fixed;
  z-index: 100;
  top: 20px; /* Add 20px top padding */
  left: 20px; /* Add 20px left padding */
  overflow-x: hidden;
}


body {
  margin: 0;
  color: var(--color-text);
  background-color: var(--color-bg);

  font-family: 'poppinsregular';
  font-weight: 900;
  /* font-family: "Kode Mono", monospace; */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: subpixel-antialiased;
  background-image: url(../img/noise.png), radial-gradient(circle, rgb(24, 21, 25) 0%, rgb(0 0 0) 100%);
  background-size: 400px, 100% 100vh;
  background-attachment: fixed;
  overflow-x: hidden;
  overflow-y: scroll;
  min-height: 100%;
}

img {
  /* background-size: 400px, 100% 100vh; */
  grid-column-start: 4; /* Move the button to the fourth column */
  justify-self: end; /* Align the button to the end of its grid cell (right side) */
}

/* Page Loader */
.js .loading::before,
.js .loading::after {
  content: '';
  position: fixed;
  z-index: 1000;
}

.js .loading::before {
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--color-bg);
}

.js .loading::after {
  top: 50%;
  left: 50%;
  width: 60px;
  height: 60px;
  margin: -30px 0 0 -30px;
  border-radius: 50%;
  opacity: 0.4;
  background: var(--color-link);
  animation: loaderAnim 0.7s linear infinite alternate forwards;

}

@keyframes loaderAnim {
  to {
    opacity: 1;
    transform: scale3d(0.5,0.5,1);
  }
}


a {
  font-family: 'poppinsregular';
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-decoration: none;
  color: #ffffff;
  outline: none;
  cursor: pointer;
}

a:hover {
  /* text-decoration: underline; */
  /* color: var(--color-link-hover); */
  outline: none;
}

/* Better focus styles from https://developer.mozilla.org/en-US/docs/Web/CSS/:focus-visible */
a:focus {
  /* Provide a fallback style for browsers
   that don't support :focus-visible */
  outline: none;
  background: white;
}

a:focus:not(:focus-visible) {
  /* Remove the focus indicator on mouse-focus for browsers
   that do support :focus-visible */
  background: transparent;
}

a:focus-visible {
  /* Draw a very noticeable focus style for
   keyboard-focus on browsers that do support
   :focus-visible */
  outline: 2px solid red;
  background: transparent;
}

/* Ovde krece novo */


.button {
	pointer-events: auto;
	cursor: pointer;
	background: #ffffff;
	border: 1px white;
	padding: 0.7rem 1.8rem;
  /* line-height: 150%; */
	margin: 0;
	font-family: inherit;
	font-size: inherit;
	position: relative;
	display: inline-block;

}

.button::before,
.button::after {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}


.button--mimas {
  background: transparent;
  backdrop-filter: blur(13px);
  -webkit-backdrop-filter: blur(13px);
  background-color: rgba(25,25,25,.4);

  border-radius: 1rem;
  /* position: fixed; */
  font-weight: 900;
  font-size: 1.2rem;
  letter-spacing: 1px;
  text-transform: uppercase;
  font-family: 'poppinsregular';
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
	overflow: hidden;
	color: #fff;
	/* background: rgb(0, 0, 0); */
  grid-column-start: 4; /* Move the button to the fourth column */
  justify-self: end; /* Align the button to the end of its grid cell (right side) */
}

.button--mimas span {
	position: relative;
	mix-blend-mode: difference;
}

.button--mimas::before {
	content: '';
	background: #ffffff;
	width: 120%;
	left: -10%;
	transform: skew(30deg);
	transition: transform 0.4s cubic-bezier(0.3, 1, 0.8, 1);
}

.button--mimas:hover::before {
	transform: translate3d(100%,0,0);
}

/* Ovde se zavrsava */


#animated-link {
  display: flex;
  justify-content: center;
  align-items: center;
  background: white;
  mix-blend-mode: exclusion;
  width: 10rem;
  height: 4rem;
  border-radius: 14px;

  color: rgb(0, 0, 0);
  text-decoration: none;
  position: relative;
}

#animated-link::after{
  content: "";
  background: white;
	mix-blend-mode: exclusion;
  top:-100%;
}

#animated-link:hover::after{
  top:-100%;
}


/* 

#animated-link::after{
  content: "";
  background: white;
	mix-blend-mode: exclusion;
	height: calc(100% + 20px);
  position: absolute;
  border-radius: 14px;
	transition: all .3s cubic-bezier(0.445, 0.05, 0.55, 0.95);
}

#animated-link:hover::after{
  border-radius: 14px;
	height: calc(100% + 20px);
} */

.unbutton {
  background: none;
  border: 0;
  padding: 0;
  margin: 0;
  font: inherit;
  cursor: pointer;
}

.unbutton:focus {
  outline: none;
}

.frame {
  padding: var(--page-padding);
  position: relative;
  display: grid;
  z-index: 1000;
  width: 100%;
  height: 100%;
  grid-row-gap: 1rem;
  grid-column-gap: 2rem;
  pointer-events: none;
  justify-items: start;
  grid-template-columns: auto auto;
  /* grid-template-columns: repeat(2, 1fr);  */
  grid-template-areas: 'title title' 'back archive' 'sponsor sponsor' 'hire hire';
}

.frame a {
  font-size: 14px;
  color: white;
  /* color: #555555; */
  pointer-events: auto;
}

.frame__title {
  grid-area: title;
  font-size: inherit;
  margin: 0;
}

.frame__back {
  font-size: 1.3rem;
  letter-spacing: 1px;
  text-transform: uppercase;
  font-family: 'poppinsregular';
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  grid-area: back;
  justify-self: start;
}

.frame__archive {
  grid-area: archive;
  justify-self: start;
}

.frame__sub {
  display: grid;
  position: fixed;
  top: var(--page-padding); /* top */
  left: var(--page-padding); /* left */
  width: 50px;
  height: 50px;
  border: 1px solid #333333;
  background-color: #000000a3;
  place-items: center;
  /* border-radius: 30%; */
  border-radius: 1rem;
}

.frame__sub:hover::before,
.frame__sub:focus::before  {
  content: '';
  position: absolute;
  width: 30px;
  height: 30px;
  top: -30%;
  left: -30%;
}

.frame__sub svg {
  /* fill: var(--color-link-hover); */
  fill: #ffff;
  width: 25px;
  height: 25px;
}


 .frame__sub2 {
  display: grid;
  position: fixed;
  top: var(--page-padding);
  right: var(--page-padding);
  width: 320px;
  height: 50px;
  border: 1px solid #333333;
  background: transparent;
  backdrop-filter: blur(13px);
  -webkit-backdrop-filter: blur(13px);
  /* background-color: rgba(25,25,25,.4); */
  background-color: rgba(25, 25, 25, 0.516);

  place-items: center;
  border-radius: 1rem;
}

.frame__sub2:hover::before,
.frame__sub2:focus::before  {
  content: '';
  position: absolute;
  width: 260px;
  height: 50px;
  top: -30%;
  left: -30%;
}

.frame__sub2 svg {
  fill: #ffff;
  width: 25px;
  height: 25px;
}


/* Modal */

.modal {
  /* background: transparent;
  backdrop-filter: blur(13px);
  -webkit-backdrop-filter: blur(13px);
  background-color: rgba(25,25,25,.4);
  -webkit-transition: background-color .3s; */
  background: transparent;
  backdrop-filter: blur(13px);
  -webkit-backdrop-filter: blur(13px);
  /* background-color: rgba(25,25,25,.4); */
  background-color: rgba(25, 25, 25, 0.516);


  pointer-events: none;
  opacity: 0;
  transform: translate3d(0,20px,0);
  position: absolute;
  top: 65px;
  left: 0px;
  /* background: rgba(0, 0, 0, 0.95); */
  /* background: #000000; */
  color: #ffffff;
  outline: 1px solid #333333;
  width: 280px;
  max-width: calc(100vw - var(--page-padding) * 2);

  /* text-transform: uppercase; */
  line-height: 1.4;
  padding: 1.5rem;
  font-size: 16px;
  border-radius: 1rem;
  transition: all 0.3s;
}

.frame__sub:hover .modal,
.frame__sub:focus .modal {
  pointer-events: auto;
  opacity: 1;
  transform: translate3d(0px,0px,0px);
}

/* .modal-2 {
  pointer-events: none;
  opacity: 0;
  transform: translate3d(0,20px,0);
  position: absolute;
  bottom: 55px;
  right: 20px;
  background: rgba(0, 0, 0, 0.95);
  color: #ffffff;
  outline: 1px solid #333333;
  width: 280px;
  max-width: calc(100vw - var(--page-padding) * 2);
  line-height: 1.4;
  padding: 1.5rem;
  font-size: 16px;
  border-radius: 1rem;
  transition: all 0.3s;
}

.frame__sub:hover .modal-2,
.frame__sub:focus .modal-2 {
  pointer-events: auto;
  opacity: 1;
  transform: translate3d(0px,0px,0px);
} */

/* Frame */

.frame__hire {
  grid-area: hire;
  max-width: 140px;
  line-height: 140%;
  text-transform: uppercase;
}

.frame__demos {
  grid-area: demos;
  display: flex;
  gap: 1rem;
}

main {
  position: relative;
  overflow: hidden;
}

.intro {
  width: 100%;
  display: grid;
  grid-template-columns: 100%;
  grid-template-rows: 20vh 20vh auto;
  grid-template-areas: 'intro-title' 'intro-hint' '...';
  place-items: center;
  padding: 0 var(--page-padding);
}

.intro__title {
  /* color: transparent;
  background-clip: text;
  background-image: linear-gradient(0deg, hsla(0, 0%, 100%, .6), #fff);
  -webkit-background-clip: text; */

  /* background: linear-gradient(rgb(140, 140, 140), rgb(228, 228, 228));
  -webkit-background-clip: text;
          background-clip: text;
  -webkit-text-fill-color: transparent; */

  text-transform: uppercase;
  font-size: clamp(2rem,10vw,12rem);
  /* font-size: clamp(2rem,7vw,8rem); */
  /* font-weight: 400; */
  line-height: 90%; /*90*/
  grid-area: intro-title;
  position: relative;
  z-index: 50;
  align-self: center;
  margin: 0;
  text-align: center;
}

.intro__hint {
  font-family: 'poppinsregular';
  text-transform: uppercase;
  /* letter-spacing: 2px; */
  grid-area: intro-hint;
  position: relative;
  z-index: 50;
  align-self: center;
  font-size: 1.6rem;
  text-align: center;
}

.intro__hint::after {
  content: '\00BB';
  position: absolute;
  top: 100%;
  left: 0%;
  text-align: center;
  font-size: 3rem;
  width: 100%;
  transform: rotate(90deg);
  animation: pulse 0.3s linear alternate infinite;
}

@keyframes pulse {
  to {
    top: 120%;
  }
}

.outro {
  display: grid;
  place-items: center;
  margin: 40vh 0;
}

.outro__title {
  font-weight: 300;
  font-size: clamp(1.5rem,10vw,2rem);
}

.grid {
  position: relative;
  perspective: 2100px; /* 1000px */
  align-self: start;
  grid-area: intro-title;
  grid-row: 1 / span 3;
  display: grid;
  grid-template-columns: repeat(3,auto); /* number of cards on a row */
  justify-content: center;
  gap: 3rem;
  filter: brightness(100%); /* 70% */
}

.card {
  width: 30vw;
  max-width: 255px;
  min-width: 150px;
  aspect-ratio: 2/3;
  font-size: 10px;
  font-family: 'poppinsregular';
  text-transform: uppercase;
  padding: 10px; /* 5px */
  display: grid;
  grid-template-columns: 1fr 1fr;
  border-radius: 16px; /* 20px */
  position: relative;
  align-items: stretch;
  outline: 2px solid var(--color-card);
  background: var(--color-bg-card);
  grid-template-areas: 'card-img card-img' 'card-title card-meta' 'card-subtitle card-subtitle' 'card-desc card-desc';
}

.grid .card {
   box-shadow: 0 2px 7px 0 rgba(0,0,0,0.8);
}

.card:nth-child(1n) {
  --color-card: var(--color-card-1);
}

.card:nth-child(2n) {
  --color-card: var(--color-card-2);
}

.card:nth-child(3n) {
  --color-card: var(--color-card-3);
}

.card:nth-child(4n) {
  --color-card: var(--color-card-4);
}

.card:nth-child(5n) {
  --color-card: var(--color-card-5);
}

.card:nth-child(6n) {
  --color-card: var(--color-card-6);
}

.card > * {
  background-color: var(--color-bg-card-inner);
}

.card__img {
  grid-area: card-img;
  background-size: cover;
  background-position: 50% 50%;
  aspect-ratio: 1;
  max-width: 100%;
  border-radius: 14px 14px 0 0;
}

.card__title {
  padding: 0.5rem 3px;
  grid-area: card-title;
  margin: 0;
}

.card__meta {
  grid-area: card-meta;
  padding: 0.5rem 3px;
  text-align: right;
}

.card__subtitle {
  grid-area: card-subtitle;
  margin: 0;
  padding: 0 3px;
}

.card__description {
  grid-area: card-desc;
  line-height: 140%;
  letter-spacing: 1px;
  margin: 0;
  border-radius: 0 0 6px 6px;
  padding: 0 3px;
}

.card-wrap {
  margin-top: 5vh;
  display: grid;
  grid-gap: 2rem;
  grid-auto-flow: row;
  grid-template-columns: 250px;
  text-align: center;
  justify-items: center;
}

.card--rel  {
  align-items: start;
  /* background: rgba(255,255,255,0.1); */
  background: #1a1a1a;
}

.card--rel .card__img {
  aspect-ratio: 4 / 3;
  filter: contrast(0.8);
}

.card--rel .card__title {
  grid-column-end: 3;
  background: none;
  font-size: 1.5rem;
  font-weight: 400;
  text-transform: none;
  padding: 2rem 1rem 1rem;
}

.credits {
  font-family: 'poppinsregular';
  text-transform: uppercase;
  font-size: 2.5rem;
  text-align: center;
  width: 500px;
  margin: 0 auto;
  /* padding-bottom: 50vh; */
}

.credits-wrapper{
  margin: 10vh auto 50vh;
  padding-bottom: 50vh;
}

.section-title {
  width: 100%;
  display: grid;
  place-items: center;
  font-size: clamp(5rem,3vw,6rem);   /* font-size: clamp(2rem,6vw,6rem); */
  /* font-size: clamp(3rem,3vw,6rem);  */
  line-height: 1;
  /* font-weight: 400; */
  margin: 25vh auto 0;
  /* max-width: 900px;    */
  max-width: 1100px; 
  text-align: center;
  text-transform: uppercase;
}

.wrap {
  position: relative;
  min-height: 100vh;
}

.wrap__inner {
  position: relative;
  perspective: 1000px;
}

.content {
  width: 100vw;
  position: relative;
  transform-style: preserve-3d;
  display: grid;
  grid-template-areas: 'card';
  grid-template-columns: 100%;
  place-items: center;
}

.content .card {
  grid-area: card;
  background: rgba(132, 128, 143, 0.36);
}

/* 7480 */

@media (max-width: 480px) {
  main {
    position: relative;
    overflow: hidden;
  }
  .section-title{
    font-size: 2.2em;
    line-height: 1.1em;
    width: 80%;
    margin: 15% auto 0;
  }
  .intro__title{
    font-size: 6.2em;
  }
  .frame{
    visibility: hidden;
  }
  .card{
    width: 50vw;
    font-size: 10px;
  }
  .credits-wrapper {
      margin: 10vh auto 30vh;
      padding-bottom: 0vh;
  }
}

/* 720 */

@media screen and (max-width: 720px) {
  main {
    position: relative;
    overflow: hidden;
  }
  .section-title{
    font-size: 2.8em;
    /* line-height: 1.1em; */
    width: 80%;
    margin: 15% auto 0;
  }
  .intro__title{
    font-size: 6em;
  }
  .frame{
    visibility: hidden;
  }
  .card{
    width: 50vw;
    font-size: 10px;
  }
  .credits-wrapper {
      margin: 10vh auto 30vh;
      padding-bottom: 0vh;
  }
}

/* 896 */

@media screen and (max-width: 844) {
  main {
    position: relative;
    overflow: hidden;
  }
  .section-title{
    font-size: 2.8em;
    /* line-height: 1.1em; */
    width: 80%;
    margin: 15% auto 0;
  }
  .intro__title{
    font-size: 6em;
    width: 80%;
    margin: 15% auto 0;
  }
  .frame{
    visibility: hidden;
  }
  .card{
    width: 50vw;
    font-size: 10px;
  }
  .credits-wrapper {
      margin: 10vh auto 30vh;
      padding-bottom: 0vh;
  }
}

/* 1920×1080 */

@media screen and (max-width: 1920px) {
  main {
    position: relative;
    overflow: hidden;
  }
  .section-title{
    width: 80%;
    margin: 15% auto 0;
  }
  .intro__title{
    font-size: 6em;
    width: 80%;
    margin: 15% auto 0;
  }
  /* .card{
    width: 30vw;
    font-size: 10px;
    max-width: 205px;
    min-width: 150px;
  } */
  .credits-wrapper {
      margin: 10vh auto 30vh;
      padding-bottom: 0vh;
  }
}


@media screen and (min-width: 53em) {

#mask {
  /* border: 20px solid rgb(15, 15, 15); */
  border: 20px solid rgb(0, 0, 0);
 
  z-index: 100;
  position: fixed;
  overflow: hidden;
  margin: 0;
  padding: 0;
  pointer-events: none;
}

#mask-2 {
  border: 20px solid rgb(0, 0, 0);
  -webkit-border-radius: 40px;
  -moz-border-radius: 40px;
  border-radius: 40px;

  z-index: 100;
  position: fixed;
  overflow: hidden;
  overflow-x: hidden;
  margin: 0;
  padding: 0;
  pointer-events: none;
}

#bg-mask {
  border: 1px solid #333333;
  -webkit-border-radius: 20px;
  border-radius: 20px;
  overflow-x: hidden;
  position: fixed;
  z-index: 100;
}

  body {
    --page-padding: 3rem;
    overflow-x: hidden;
  }
  .frame {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    grid-template-columns: auto auto auto 1fr;
    grid-template-rows: auto auto;
    align-content: space-between;
    grid-template-areas: 'title back archive sponsor' 'hire ... ... sub';
  }
  .frame__sub {
    justify-self: end;
  }
  .frame__title {
    padding-right: 4rem;
  }
  .frame__hire {
    align-self: end;
  }
  .modal {
    /* bottom: 50px; */
    right: 50px;
  }
  .intro {
    grid-template-rows: 60vh 40vh auto;
  }
  .intro__title {
    font-size: clamp(5rem,10vw,22rem);
    align-self: end;
  }
  .grid {
    padding-top: 10vh;
  }
  .content {
    min-height: 100vh;
    justify-content: center;
    align-items: center;
  }
  .card-wrap {
    grid-template-columns: repeat(2, 300px);
  }
}
